FUNCTION mike_deadtime, cntrate
;   Version Date: 2007 Feb 19

;+
;   Make the deadtime correction
;-

;mike_log, /start, /time

; The negative exponential is derived from ground calibration
CR_in = findgen(1.0e5) + 1
CR_out = CR_in * exp((-16.2e-6) * CR_in)
P = max(CR_out,max_index)
CR_in = CR_in[0:max_index]
CR_out = CR_out[0:max_index]

; Quadratic interpolation of dead-time correction based on count rate
; (in Hz) for a given interval.
deadtime_correction = interpol(cr_in/cr_out, cr_out, cntrate, /quad)

return, deadtime_correction
end
